import request from '@/utils/request'

// 查询物料供应商信息列表
export function listSupplierInfo(query) {
  return request({
    url: '/mes/supplierInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物料供应商信息详细
export function getSupplierInfo(supplierId) {
  return request({
    url: '/mes/supplierInfo/' + supplierId,
    method: 'get'
  })
}

// 新增物料供应商信息
export function addSupplierInfo(data) {
  return request({
    url: '/mes/supplierInfo',
    method: 'post',
    data: data
  })
}

// 修改物料供应商信息
export function updateSupplierInfo(data) {
  return request({
    url: '/mes/supplierInfo',
    method: 'put',
    data: data
  })
}

// 删除物料供应商信息
export function delSupplierInfo(supplierId) {
  return request({
    url: '/mes/supplierInfo/' + supplierId,
    method: 'delete'
  })
}
